Generate Token
Generate a new bundler access token for a deployment.
Authorization: caller must own the deployment.
Only the hash of the token is persisted; the plaintext value is
returned exactly once in this response and cannot be retrieved
again. An optional expiry (body.expiry_days) sets expires_at.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
deployment_id*Deployment Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/tokens" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "value": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}